Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPaintEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QPaintEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QPaintEvent

extends QEvent

The `QPaintEvent` class contains event parameters for paint events.

Paint events are sent to widgets that need to update themselves, for instance when part of a widget is exposed because a covering widget was moved.

The event contains a `region` that needs to be updated, and a `rect` that is the bounding rectangle of that region. Both are provided because many widgets can't make much use of `region`, and `rect` can be much faster than `region`.boundingRect(). Painting is clipped to `region` during the processing of a paint event.

See Also:
  `QPainter`, `QWidget::update`, `QWidget::repaint`, `QWidget::paintEvent`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QPaintEvent(QRect paintRect)` Constructs a paint event object with the rectangle that needs to be updated.
`QPaintEvent(QRegion paintRegion)` Constructs a paint event object with the region that needs to be updated.

Method Summary
`static QPaintEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QPaintEvent instance pointed to by nativePointer
`QRect` | `rect()` Returns the rectangle that needs to be updated.
`QRegion` | `region()` Returns the region that needs to be updated.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QPaintEvent

    public QPaintEvent(QRegion paintRegion)

  Constructs a paint event object with the region that needs to be updated. The region is specified by `paintRegion`.

### QPaintEvent

    public QPaintEvent(QRect paintRect)

  Constructs a paint event object with the rectangle that needs to be updated. The region is specified by `paintRect`.

Method Detail

### rect

    public final QRect rect()

  Returns the rectangle that needs to be updated.

  See Also:
    `region`, `QPainter::setClipRect`

### region

    public final QRegion region()

  Returns the region that needs to be updated.

  See Also:
    `rect`, `QPainter::setClipRegion`

### fromNativePointer

    public static QPaintEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QPaintEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD